curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"description": "Product demo for Q1 prospect",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting",
"attendees": [
{"id": "att-uuid-1", "name": "Jane Doe", "email": "[email protected]"}
],
"meeting_url": "https://meet.example.com/abc-123"
}
}
Events
Get Calendar Event
Retrieve a calendar event by ID
GET
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
/
{event_id}
curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"description": "Product demo for Q1 prospect",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting",
"attendees": [
{"id": "att-uuid-1", "name": "Jane Doe", "email": "[email protected]"}
],
"meeting_url": "https://meet.example.com/abc-123"
}
}
Get Calendar Event
Retrieve a single event from a calendar, including attendees.Endpoint
GET /api/v1/calendars/{calendar_id}/events/{event_id}
Path parameters
string
required
Calendar UUID.
string
required
Event UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"description": "Product demo for Q1 prospect",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting",
"attendees": [
{"id": "att-uuid-1", "name": "Jane Doe", "email": "[email protected]"}
],
"meeting_url": "https://meet.example.com/abc-123"
}
}
Was this page helpful?